/* DOCUMENT INFORMATION
	- Document: Hollywood Minimalistic
	- Version:  1.0.0
	- Client:   Michelle Steffes Directs
	- Author:   R.Steffes   
*/

/* Fonts */
@font-face {
  font-family: Kanote;
  src: url("../assets/Kanote_Regular.otf");
}
body{
  font-family:  'Nunito', sans-serif;
}

.title{
    font-family: 'Kanote', 'Nunito', cursive;
    font-size: 20vh;
    text-transform: uppercase;
    text-align: center;
    justify-content: center;
}



.bio, .director{
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: medium;
    text-align: left;
    line-height: 1.3em;
}

@media screen and (max-width:480px) {
  body{
    font-size: large;
  }
  .bio, .director{
    font-size: larger;
  }
  .title{
    font-size: large;
  }
  
}

.bio{
  margin: 10vh 10vw;
  border-bottom: #000000 solid;
  border-width: 1px 0px;
}

.bio>p{
  line-height: 1.4em;
  margin-bottom: 1.2em;
}

/* Structural */
html {
    box-sizing: border-box;
    font-size: 16px;
  }
  
  *, *:before, *:after {
    box-sizing: inherit;
  }
  
  body, h1, h2, h3, h4, h5, h6, p, ol, ul {
    margin: 0;
    padding: 0;
    font-weight: normal;
  }
  
  ol, ul {
    list-style: none;
  }
  
  img {
    max-width: 100%;
    object-fit: contain;
    width:100%;
    height: auto;
  }

.menu>ul, .socials, #selectedContent, #individual_display{
    list-style: none;
 
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    
    
}

#individual_display>li{
    margin:2vh;
    width:80vw;
}
#selectedContent img{
    object-fit: fit-content;
    height:100%;
}
@media screen and (min-width:480px) {
    .menu ul, .socials {
        flex-direction: row;
    }
    #selectedContent {
        flex-wrap: wrap;
        flex-direction: row;
        align-items: stretch;
    }
   
    #selectedContent>*{
        flex-grow: 0;
        flex-shrink:0;
        flex-basis: 45%;
    }
    
}

.socials{
    font-size: 16px;
    margin-top: 10vh;
}
details{
    border: inset #000000;
    border-width: 1px 0px;
    margin-bottom: 4vh;
    box-shadow: 0px 1px 3px #000000;
}
summary{
    list-style-image: url("../assets/list.svg");
    text-align: center;
}

footer{
  margin: 10vh;
}



header>h1>a:active, header>h1>a:link, header>h1>a:visited{
    text-decoration: none;
    color:#000000;
}

.press, .clipping{
  position: relative;
  width:100%;
}

.clipping{
  margin:2rem;
}
.press{
  display: flex;
  flex-direction: row;
}


.press img{
  flex-basis: 20vw;
  flex-grow: 0;
  max-width: 50%;
  height:auto;
}
.press a{
  color:#1927a4;
  text-decoration: none;

}

@media (max-width:480px) {
  .press{
    flex-direction: column;
  }
  .press img{
    flex-basis: 100%;
    flex-shrink:0;
    max-width: 100%;
  } 
}
.main_nav a{
    
    display: inline-block;
    width:100%;
    text-decoration: none;
    
}
.sub_nav{
  display: none;
}


@media screen and (min-width:481px) {
  .menu>ul>li a, .socials li>a, .press a{
    
    color:#000000;
    background-color: #ffffff;
    
}
.menu{
  padding:1vh 1vw;
}
}

  

.menu>ul>li a:hover, .socials li>a:hover, .press a:hover{
    text-decoration: underline;
    color:#1927a4;
    
}

.filmWrapper{
    position: relative;
    background-color: #000000;
    color:#ffffff;
    margin:1vh 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;

    /*filter:brightness(1.25) contrast(1.1) saturate(1.04);*/
}

.filmWrapper p{
  font-size: medium;
  margin: 0;
  padding: .2em;
  line-height: 1.2;
}

.filmWrapper a:hover + h3{
    display: block;
    opacity: 1;
    bottom:.75em;
    right:.75em;
}
.filmWrapper h2{
  text-align: center;
  margin: 0;
  padding: 0;
  
}

.filmWrapper h3{
    position: absolute;
    bottom:100;
    right:0;

    width:90%;
    opacity: 0.1;
    max-height: 45%;
    background-color: #000000bc;
    color: #ffffff;
    display: none;
    z-index: 1;
}

.main_nav{
    position:relative;
    text-align: center;
    
    
}


.sub_nav{
    display:none;
    width:max-content;
    position: absolute;
    left:0px;
    top:90%;
    z-index: 999;
    border:1px solid #000000;
    border-top:0px;
    background-color: #ffffff;
    text-align: left;
    padding-left: 2em;
    padding-right: 1em;
    box-shadow: 2px 2px 2px #000000 ;

   
}
.main_nav:hover .sub_nav{
  display: block;
}
.sub_nav>ul{
    display: flex;
    flex-direction: column;
    line-height: 2em;
}

@media screen and (max-width:480px) {
    .sub_nav{
        
        border:solid black;
        border-width: 1px 0px;
        font-size:larger;
        box-shadow: none;
        padding:0;
        margin:0;
    }
    
}


/* Preloaders */
.load_sel_1 {
    background: transparent url('/assets/For\ When\ You\ Get\ Lost\ still.jpg') cover no-repeat;
  }

  .load_sel_2 {
    background: transparent url('/assets/Summoned\ still.jpg') cover no-repeat;
  }
  .load_sel_3 {
    background: transparent url('/assets/TheInterview\ still.jpg') cover no-repeat;
  }
  .load_sel_4 {
    background: transparent url('/assets/Life\ Partners\ still.png') cover no-repeat;
  }
  .load_sel_5 {
    background: transparent url('/assets/TRex\ Ranch\ Time\ Capsule\ still.png') cover no-repeat;
  }
  .load_sel_6 {
    background: transparent url('/assets/VTech\ Motorbike\ still.jpg') cover no-repeat;
  }
  .load_child_1 {
    background: transparent url('/assets/T-Rex\ Ranch\ Ep\ 427\ Obstacle\ Course\ still.jpg') cover no-repeat;
  }

  /* Quotes */
  .director > h3, .press > h3{
    text-align: center;
    font-style: italic;
    padding-left: 10vh;
    margin-bottom: 5vh;
  }
  .director > h2, .press >h2{
    text-align: left;
    font-weight: 900;
    padding-left: 10vh;
    margin-bottom: 2vh;
    font-size: larger;
  }
  .director>p{
    margin-bottom: 2em;
  }
  @media screen and (max-width:479px) {
    .director, .press{
        border-left: #06364eaf solid 3px;   
        padding-left: 5px;

        
    }
    .director > h3, .press > h3{
      text-align: justify;
      padding:2vh;
    }
    
  }

  li:has(.press){
    margin-bottom: 1vh;

    
  }
  @media screen and (min-width:480px) {
  .director, .press{
    position: relative;
    margin: 1vh 1vh;
  }
  
  .quote{
    width:90%;
    text-align: center;
    padding: 1rem 1.2rem;
    margin:.5em;
    background-size: 20px 20px;
    background:
    linear-gradient(to right, #06364eaf 4px, transparent 4px) 0 100%,
    linear-gradient(to left, #06364eaf 4px, transparent 4px) 100% 0,
    linear-gradient(to bottom, #06364eaf 4px, transparent 4px) 100% 0,
    linear-gradient(to top, #06364eaf 4px, transparent 4px) 0 100%;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    
  }
  
  
}
.floater{
  float:right;
  height:45vh;
  margin:0 0 5vh 5vh;
}
.floater_left{
  float:left;
  height:45vh;
  margin:5vh;
  margin:0 5vh 5vh 0;
}
@media screen and (max-width:480px) {
  .floater, .floater_left{
    width: 100%;
    height:auto;
    display: block;
  }
}
.clip_summary{
     background-color: #0000000b;
     padding:5vh;
}

/* Slideshow */
.slide-container {
  scroll-snap-type: x mandatory;
  overflow-x: scroll;
  display: flex;
}
.slide {
  scroll-snap-align: start;
  min-width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
}